org.eclipse.swt.events

## Interface PaintListener

    public interface PaintListener

Classes which implement this interface provide methods that deal with the events that are generated when the control needs to be painted.

After creating an instance of a class that implements this interface it can be added to a control using the `addPaintListener` method and removed using the `removePaintListener` method. When a paint event occurs, the paintControl method will be invoked.

Since:
  1.3
See Also:
  `PaintEvent`

### Method Summary

Methods
`void` `paintControl(PaintEvent event)` Sent when a paint event occurs for the control.

### Method Detail

#### paintControl

    void paintControl(PaintEvent event)

Sent when a paint event occurs for the control.

Parameters:
  `event` - an event containing information about the paint

Copyright (c) EclipseSource and others 2002, 2018. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0